prometheus(1)

NAME
prometheus - The Prometheus monitoring server

SYNOPSIS

prometheus [<flags>]

DESCRIPTION
The Prometheus monitoring server

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--version
    Show application version.

--config.file="/etc/prometheus/prometheus.yml"
    Prometheus configuration file path.

--web.listen-address="0.0.0.0:9090"
    Address to listen on for UI, API, and telemetry.

--web.read-timeout=5m
    Maximum duration before timing out read of the request, and closing idle connections.

--web.max-connections=512
    Maximum number of simultaneous connections.

--web.external-url=<URL>
    The URL under which Prometheus is externally reachable (for example, if Prometheus is served via a reverse proxy). Used for generating relative and absolute links back to Prometheus itself. If the URL has a path portion, it will be used to prefix all HTTP endpoints served by Prometheus. If omitted, relevant URL components will be derived automatically.

--web.route-prefix=<path>
    Prefix for the internal routes of web endpoints. Defaults to path of --web.external-url.

--web.local-assets="/usr/share/prometheus/web/"
    Path to static asset/templates directory.

--web.user-assets=<path>
    Path to static asset directory, available at /user.

--web.enable-lifecycle
    Enable shutdown and reload via HTTP request.

--web.enable-admin-api
    Enables API endpoints for admin control actions.

--web.console.templates="/etc/prometheus/consoles"
    Path to the console template directory, available at /consoles.

--web.console.libraries="/etc/prometheus/console_libraries"
    Path to the console library directory.

--storage.tsdb.path="/var/lib/prometheus/metrics2/"
    Base path for metrics storage.

--storage.tsdb.retention=15d
    How long to retain samples in the storage.

--storage.tsdb.no-lockfile
    Do not create lockfile in data directory.

--alertmanager.notification-queue-capacity=10000
    The capacity of the queue for pending alert manager notifications.

--alertmanager.timeout=10s
    Timeout for sending alerts to Alertmanager.

--query.lookback-delta=5m
    The delta difference allowed for retrieving metrics during expression evaluations.

--query.timeout=2m
    Maximum time a query may take before being aborted.

--query.max-concurrency=20
    Maximum number of queries executed concurrently.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]